#include "defines.h"

int time_read(unchar *line,int *cc,int cl)
/* 時刻読み出し */
{
unint c,tm=0;
	*cc=0; /* ':'の出現回数 */
	if (cl>2) cl=2; /* ':'は２回までしか使えない */
	while ((c=*line++)!=0) {
		if (c==':') {
			if (*cc==cl) break; /* ':'が多過ぎる */
			(*cc)++;
			tm*=60; /* 桁アップ */
			continue;
		}
		c-='0';
		if (c<0||c>9) return(-1); /* error */
		tm*=10;
		tm+=c;
	}
	return(tm);
}
